ECHO OFF
IF /%1==/ GOTO END
MD \SLATE
COPY SLATE.PDB  \SLATE\SLATE.PDB /V
TESTDEV.EXE %1
GOTO FINISH
:END
CLS
ECHO *****************************************************************
ECHO *    FINANCIAL WONDER Test device requires 1 parameter          *
ECHO *    For Example:       TESTDV 1  or TESTDV 2, etc.             *
ECHO *                              #1           #1                  *
ECHO *    Operation                                                  *
ECHO *    ---------                                                  *
ECHO *    This batch file copies your current SLATE.PDB printer      *
ECHO *    file into the directory \SLATE. The program TESTDEV.EXE    *
ECHO *    is then run by this batch file.                            *
ECHO *                                                               *
ECHO *    TESTDEV.EXE expects to find the SLATE.PDB file in the      *
ECHO *    \SLATE directory of the current drive letter.              *
ECHO *    However, only the SLATE.PDB file in the current directory  *
ECHO *    (example: \WONDER) will be used by Financial Wonder.       *
ECHO *                                                               *
ECHO *    Parameter meaning                                          *
ECHO *    -----------------                                          *
ECHO *    The parameter represents the device number used by         *
ECHO *    the SLATE.EXE program, under the menu selection            *
ECHO *           "Add/Edit Devices (Ptr Connections)"                *
ECHO *    These devices would typically be numbered 1,2,3, etc.      *
ECHO *    Please note that FW can sometimes use a print driver       *
ECHO *    without having a device number set. However, to use        *
ECHO *    TESTDEV.EXE the print driver must be assigned a device #.  *
ECHO *****************************************************************


:FINISH